INSTALL(1)

NAME
install - copy files and set their attributes

SYNOPSIS
install [options] [-s] [--strip] source dest
install [options] [-s] [--strip] source... directory
install [options] [-d,--directory] directory...
Options:
[-c] [-g group] [-m mode] [-o owner] [--group=group] [--mode=mode] [--owner=owner] [--help] [--version]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of install. install copies files and sets their permission modes and, if possible, their owner and group. Used similarly to cp; typically used in Makefiles to copy programs into their destination directories. It can also be used to create the destination directories and any leading directories, and to set the final directory's modes. It refuses to copy files onto themselves.

  OPTIONS

-c  Ignored; for compatibility with old Unix versions of install.

-d, --directory
    Create each given directory and its leading directories, if they do not already exist. Set the owner, group and mode as given on the command line or to the defaults. Also gives any leading directories that are created those attributes. This is different from the SunOS 4.x install, which gives directories that it creates the default attributes.

-g, --group group
    Set the group ownership of the installed file or directory to the group ID of group (default is process's current group). group may also be a numeric group ID.

-m, --mode mode
    Set the permission mode for the installed file or directory to mode, which can be either an octal number, or a symbolic mode as in chmod, with 0 as the point of departure. The default mode is 0755.

-o, --owner owner
    If run as root, set the ownership of the installed file to the user ID of owner (default is root). owner may also be a numeric user ID.

-p, --preserve-timestamps
    Retain the previous creation/modification times.

-s, --strip
    Strip the symbol tables from installed programs.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.